# DummyThreads.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <stdio.h>`
`#include <string>`

Include dependency graph for DummyThreads.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp
namespace | log4cpp::threading

## Classes

class | log4cpp::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Typedefs

typedef int | log4cpp::threading::Mutex
| Dummy type 'int' for Mutex.
typedef int | log4cpp::threading::ScopedLock
| Dummy type 'int' defintion of ScopedLock;.

## Functions

static std::string | log4cpp::threading::getThreadId ()
| returns the thread ID